


param n;
param c{i in 1..n, j in 1..n};
param tim{i in 1..n, j in 1..n};
param in_number{i in 1..n};
param out_number{i in 1..n};
param in_node{i in 1..n, j in 1..n};
param out_node{i in 1..n, j in 1..n};
param b{i in 1..n};
param mu;


var x{i in 1..n, j in 1..n} >=0, <=1;

minimize distance: 
sum{i in 1..n, j in 1..out_number[i]}c[i,out_node[i,j]]*x[i,out_node[i,j]]
+mu*(sum{i in 1..n, j in 1..out_number[i]}tim[i,out_node[i,j]]*x[i,out_node[i,j]]-T)
;

#sum{i in 1..n, j in 1..n}c[i,j]*x[i,j]
#+lambda*(sum{i in 1..n, j in 1..n}tim[i,j]*x[i,j]-T);

subject to flow_conservation{ii in 1..n}: 
sum{i in 1..in_number[ii]}x[in_node[ii,i],ii]-sum{j in 1..out_number[ii]}x[ii,out_node[ii,j]]=b[ii];













