distance = 15

x[1,2]=0 x[1,3]=1 
x[2,4]=0 x[2,5]=1 
x[3,2]=1 x[3,4]=0 x[3,5]=0 
x[4,5]=0 x[4,6]=0 
x[5,6]=1 

minimize distance:
	x[1,2] + 10*x[1,3] + x[2,4] + 2*x[2,5] + x[3,2] + 5*x[3,4] + 12*x[3,5]
	 + 10*x[4,5] + x[4,6] + 2*x[5,6];

subject to time_const:
	10*x[1,2] + 3*x[1,3] + x[2,4] + 3*x[2,5] + 2*x[3,2] + 7*x[3,4] + 
	3*x[3,5] + x[4,5] + 7*x[4,6] + 2*x[5,6] <= 12;

subject to flow_conservation[1]:
	-x[1,2] - x[1,3] = -1;

subject to flow_conservation[2]:
	x[1,2] - x[2,4] - x[2,5] + x[3,2] = 0;

subject to flow_conservation[3]:
	x[1,3] - x[3,2] - x[3,4] - x[3,5] = 0;

subject to flow_conservation[4]:
	x[2,4] + x[3,4] - x[4,5] - x[4,6] = 0;

subject to flow_conservation[5]:
	x[2,5] + x[3,5] + x[4,5] - x[5,6] = 0;

subject to flow_conservation[6]:
	x[4,6] + x[5,6] = 1;

sum{i in 1 .. n, j in 1 .. out_number[i]} tim[i,out_node[i,j]]*x[i,
  out_node[i,j]] = 10

T = 12

